[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# inotify_event

INotify event structure

## Declaration

Source position: linux.pp line 388

`type inotify_event = record`
`wd: cint;` |  | Watch descriptor (as returned by inotify_add_watch)
`mask: cuint32;` |  | Event mask
`cookie: cuint32;` |  | Cookie, used to pair move events
`len: cuint32;` |  | Length of name
`name: Char;` |  | Filename for which a change is reported
`end;`

## Description

inotify_event is the structure used to report changes in a directory. When reading a inotify file descriptor, one or more inotify_event records can be read from the file descriptor.

## See also

baseunix.fpread |  | Read data from file descriptor
sysutils.FileRead |  | Read data from a file handle in a buffer.